Subject: Re: bug#45645: Please revoke this commit: 7dd1a2174a8376c521dcf271e3b76f64096074fe

From: Efraim Flashner <[email-masked]>
Date: Mon, 29 Mar 2021 16:15:00 +0300

On Fri, Mar 26, 2021 at 10:21:35AM +0100, zimoun wrote:
> Hi,
> 
> On Mon, 04 Jan 2021 at 16:14, Efraim Flashner <[email-masked]> wrote:
> > On Mon, Jan 04, 2021 at 09:52:38AM +0800, luhux wrote:
> 
> >> ```
> >>     const gchar *stardict_data_dir = g_getenv("STARDICT_DATA_DIR");
> >>     std::string data_dir;
> >>     if (!opt_data_dir) {
> >>         if (!only_data_dir) {
> >>             if (stardict_data_dir)
> >>                 data_dir = stardict_data_dir;
> >>             else
> >>                 data_dir = "/usr/share/stardict/dic";
> >>         }
> >>     } else {
> >>         data_dir = get_impl(opt_data_dir);
> >>     }
> >>
> >> ```
> >>
> >> Please revoke the content of this commit.
> 
> I am not seeing a commit reverting
> 7dd1a2174a8376c521dcf271e3b76f64096074fe.  Am I correct?

That's right, I didn't end up reverting it.

> > Do you have an easy test case? Something like 'guix environment --ad-hoc
> > sdvc stardict-en stardict-es -- sdvc'? I'd like to get it working. What
> > is it looking for, just one directory?
> 
> Should 7dd1a2174a8376c521dcf271e3b76f64096074fe be reverted waiting a
> proper fix or is it let as it is?
> 
> In order to close this. :-)

I suppose we could revert it for now. I don't know of any dictionaries
that it would currently use and according to the bug report it isn't
working as expected. I was hoping to get it working but moved on to
other things.

> Cheers,
> simon

Thanks for finding this forgotten bug. luhux, if you have any
suggestions I'd be happy to continue working on it.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted